#ifndef IP_FILTER_H
#define IP_FILTER_H

#include "Filter.h"

class IpFilter : public Filter
{
public:
	IpFilter();
	IpFilter(const IpFilter & src);
	virtual ~IpFilter();
	virtual Filter * Clone() const;
	virtual bool Match(const ProtocolInfoElement * pProtocolInfo);
	bool SetAddress(const std::string sAddr);
	virtual std::string IpFilter::GetSourcePcapFilter() const;
	virtual std::string IpFilter::GetDestinationPcapFilter() const;
private:
	unsigned int m_nAddr;
	std::string m_sAddr;
};

#endif
